#!/usr/bin/python

import os, sys, re



tagsBeginIndicator = "###begin_tags###"
tagsEndIndicator = "###end_tags###"




# runs a command in the shell
def runInShell(cmd):
	o = os.popen(cmd, 'r')
	return o.read()





# returns tags as a list for specified file
def get_tags(filePath):
	tags = []
	o = runInShell("mdls -name kMDItemFinderComment \""+filePath+"\"")
	if o != None:
		o = o.strip().strip("\n\"")
		if o.startswith("kMDItemFinderComment = \""):
			o = o[24:].strip()
			regex = re.compile("^.*?(("+tagsBeginIndicator+")(.*?)("+tagsEndIndicator+"))")
			matchobj = regex.search(o)
			if matchobj != None:
				tstr = matchobj.group(3)
				if tstr != None:
					tlist = tstr.strip().split(";")
					for t in tlist:
						if t != None:
							t = t.strip("@").strip()
							if t != "":
								tags.append(t)
	return tags



def printUsage():
	print "usage: "+os.path.basename(sys.argv[0])+" <command> <filename>"
	print ""
	print "<command>  'get' | 'getall'"
	print ""
	sys.exit(0)




filePath=None

if len(sys.argv) > 1:
	command = sys.argv[1]
	
	
	if command.strip() == "get":
		if len(sys.argv) > 2:
			filePath = sys.argv[2]
			if not os.path.exists(filePath):
				print filePath+" does not exist!"
				print ""
				sys.exit(127)
			else:
				if filePath!=None:
					tags = get_tags(filePath)
					print ",".join(tags)
		else:
			printUsage()
	
	
	if command.strip() == "getall":
		retStr = ""
		o = runInShell("defaults read eu.nudgenudge.punakea ManageFiles.TagsFolder.Location")
		if o != None:
			o = o.strip()
			if o != "":
				if os.path.exists(o):
					directories = []
					for name in os.listdir(o):
						fullpath = os.path.join(o,name)
						if os.path.isdir(fullpath):
							directories.append(name)
					retStr = ",".join(directories)
		print retStr
	
	
else:
	printUsage()











